<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83aFormNuevaImpugnacion"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83aNuevaImpugnacionBean" type="w83a.w83aBeans.W83aImpugnacionBean"/>
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" />
				<form-property name="w83aterritorio" type="java.lang.String"/>
				<form-property name="w83aarbitro" type="java.lang.String" />
				<form-property name="w83aprovinciaImpug" type="java.lang.String"/>
				<form-property name="w83amunicipioImpug" type="java.lang.String" />
				<form-property name="w83atipoVoz" type="java.lang.String" />
				<form-property name="w83avoz" type="java.lang.String" />
				<form-property name="w83avozSINO" type="java.lang.String" />
				<form-property name="w83acnae" type="java.lang.String" />
				<form-property name="w83asector" type="java.lang.String" />
				<form-property name="w83aregJur" type="java.lang.String" />
				<form-property name="w83amotivoBaja" type="java.lang.String" />
				<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="tamanyoListaResults" type="java.lang.String"/>
				<form-property name="w83aRegManual" type="java.lang.String" initial=""/>
				<form-property name="camino" type="java.lang.String"/>
				
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean
				name="contextoOP"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="nombreBean" type="java.lang.String" initial="w83aImpugnacionBean,w83aNuevaImpugnacionBean"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.Impugnaciones"/>
				<form-property name="strTitleKey" type="java.lang.String" initial=""/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="action" type="java.lang.String" initial="B"/>
				<form-property name="modoPantalla" type="java.lang.String" initial="B"/>
				<form-property name="codSelec" type="java.lang.String"/>
				<form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>		
				<form-property name="w83aResultado" type="java.lang.String"/>
				<form-property name="w83aListResultado" type="java.util.List"/>
				
				<form-property name="w83aImpugnacionBean" type="w83a.w83aBeans.W83aImpugnacionBean"/>
				<form-property name="w83aNuevaImpugnacionBean" type="w83a.w83aBeans.W83aImpugnacionBean"/>
				<form-property name="w83aNuevaImpugnacionBeanTemp" type="w83a.w83aBeans.W83aImpugnacionBean"/>
				<form-property name="w83aListaCentroTrabajo" type="java.util.List"/>	
				
				<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>		
				<form-property name="subOpFlag" type="java.lang.String" initial="impugnaciones"/>
				<form-property name="w83aprovincia" type="java.lang.String"/>
				<form-property name="w83amunicipio" type="java.lang.String" />
				
				<form-property name="w83aterritorio" type="java.lang.String"/>
				<form-property name="w83aarbitro" type="java.lang.String" />
				<form-property name="w83aprovinciac" type="java.lang.String"/>
				<form-property name="w83amunicipioc" type="java.lang.String" />
				<form-property name="w83atipoVoz" type="java.lang.String" />
				<form-property name="w83avoz" type="java.lang.String" />
				<form-property name="w83aprovinciaImpug" type="java.lang.String"/>
				<form-property name="w83amunicipioImpug" type="java.lang.String" />
				
				
				<form-property name="w83aContarImpugnaciones" type="java.lang.Integer"/>
				
				<form-property name="w83acnae" type="java.lang.String" />
				<form-property name="mapa" type="java.util.HashMap"/>
				<form-property name="w83aMapaImpugnaciones" type="java.util.HashMap" />
				<form-property name="w83aRegManual" type="java.lang.String" initial=""/>
				<form-property name="w83aModelo" type="java.lang.String" initial=""/>
				<form-property name="tramite" type="java.lang.String" />
				<form-property name="w83aSubOpFlag" type="java.lang.String" initial="impugnaciones"/>
				<form-property name="camino" type="java.lang.String"/>
				<form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
				<form-property name="codSelecEdicion" type="java.lang.String"/>	
				<form-property name="codSelecCentro" type="java.lang.String"/>
				<form-property name="numActaTerritorioSeleccionada" type="java.lang.String"/>
			   <form-property name="numActaAnyoSeleccionada" type="java.lang.String"/>
			   <form-property name="numActaNumeroSeleccionada" type="java.lang.String"/>
			   <form-property name="numPreavisoTerritorioSeleccionada" type="java.lang.String"/>
			   <form-property name="numPreavisoAnyoSeleccionada" type="java.lang.String"/>
			   <form-property name="numPreavisoNumeroSeleccionada" type="java.lang.String"/>
			   <form-property name="tipoBusquedaSeleccionada" type="java.lang.String"/>
				<form-property name="historico" type="java.lang.String"/>
				<form-property name="fechaEleccion" type="java.lang.String"/>
				<form-property name="w83aMapaPreavisos" type="java.util.HashMap" />
				<form-property name="w83aPreavisosNuevoBean" type="w83a.w83aBeans.W83aPreavisosBean"/>
				<form-property name="w83aDocumentacionBean" type="w83a.w83aBeans.W83aDocumentacionBean"/>
				<form-property name="idDocumento" type="java.lang.String"/>
				<form-property name="w83aDocBean" type="w83a.w83aBeans.W83aDocBean"/>	
				<form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.documentacionelectoral.documimpug"/>
				<form-property name="w83aNuevaActaBean" type="w83a.w83aBeans.W83aActasBean"/>
		</form-bean>
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action
				path ="/w83aInicioNuevaImpugnacion" forward="paginaNuevaImpugnacion"/>
		<action path ="/w83aPaginaNuevoImpugnaciones" forward="paginaNuevoImpugnaciones"/>
<!--	DISPATCHES-->
	
		
		

		<!-- Operaciones de Paso -->
			<!-- DISPACHT -->
		<action
				path="/w83aDispatchEdicion"
				name="w83aFormNuevaImpugnacion"
				input="/w83aInicioNuevoImpugnaciones.do"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83aDispatchEdicionImpugnacionesAtras.do"/>
				<forward
					name="volverDocumentacion"
					path="/w83aVolverDocumentacion.do"/>
				<forward
					name="volverPreavisos"
					path="/w83aVolverPreavisos.do"/>
				<forward
					name="volverActas"
					path="/w83aVolverActas.do"/>
		</action>
		<action
				path="/w83aDispatchEdicionImpugnacionesAtras"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="actas"
					path="/w83aSubOpImpugnacionesEnd.do"/>
				<forward
					name="preavisos"
					path="/w83aSubOpImpugnacionesEnd.do"/>
				<forward
					name="busqueda"
					path="/w83aSubOpImpugnacionesEnd.do"/>
		</action>
		
		<action
				path="/w83aPaginaEdicionImpugnaciones"
				scope="request"
				parameter="w83aSubOpFlag"
				type="w83a.w83aUtilidades.W83aDispatchValueContexto">
				<forward
					name="actas"
					path="/w83aPaginaEdicionImpugnacionesActas.do"/>
				<forward
					name="busqueda"
					path="/w83aPaginaEdicionImpugnacionesActas.do"/>
				<forward
					name="preavisos"
					path="/w83aPaginaEdicionImpugnacionesActas.do"/>
		</action>
		<action path="/w83aInicioEdicionImpugnaciones" 
		name="w83aFormImpugnaciones" scope="request" type="w83a.w83aOperacionesPaso.w83aImpugnaciones.W83aIrEdicionImpugnacionAction" 
			 validate="false">
			<forward name="ok" path="/w83aObtenerDetallesImpugnacionOI.do"/>
			<forward name="error" path="/w83aInicioBusquedaImpugnaciones.do"/>
		</action>
		
		<action path ="/w83aObtenerDetallesImpugnacionOI" 
			 parameter="w83aObtenerDetallesImpugnacionOI" 
			 validate="false"  
			 input="/w83aInicioBusquedaImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDetallesImpugnacionOutOP.do" />
					<forward name="error" path="/w83aInicioBusquedaImpugnaciones.do" />
		</action>
						
		<action path="/w83aDetallesImpugnacionOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aImpugnaciones.W83aDetallesImpugnacionOutOPAction" 
			 validate="false">
			<forward name="paginaDetalles" path="/w83aPaginaEdicionImpugnaciones.do" />
		</action>
		
				
		<action path="/W83aGenericoImpugnacionesOPAction" 
			scope="request" type="w83a.w83aOperacionesPaso.w83aImpugnaciones.W83aGenericoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aObtenerDetallesImpugnacionOI.do"/>
		</action>
		
		
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		<!-- Operaciones de Paso -->
		               
		<action path="/w83aCargarCentroTrabajoActaOP" scope="request" type="w83a.w83aOperacionesPaso.w83aImpugnaciones.W83aCargarCentroTrabajoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aCargarCentroTrabajoActa.do"/>
		</action>
		<action path ="/w83aCargarCentroTrabajoActa" 
			 parameter="w83aActasBusqCentroTrabajoOI" 
			 validate="false" 
			 input="/w83aInicioNuevoImpugnaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aCargarCentroTrabajoOutOP.do" />					
		</action>
		<action path="/w83aCargarCentroTrabajoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aImpugnaciones.W83aCargarCentroTrabajoOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aInicioNuevoImpugnaciones.do"/>
		</action>
		<action path="/w83aObtenerDocumentoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDescargarDocumentoOI.do"/>
			<forward name="error" path="/w83aGenericoOutOP.do"/>
		</action>
		
				
		<action path ="/w83aDescargarDocumentoOI" 
			 parameter="w83aDescargarDocumentoImpugnacionesOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aDescargarDocumentoOutOP.do" />
					<forward name="error" path="/w83aGenericoOutOP.do" />
		</action>

		<action path="/w83aVolverDocumentacion" parameter="/documentacionOP/w83aSubOpDocumentacionInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/impugnacionesOP/w83aInicioNuevaImpugnacio.do" />
		</action>
				
		<action path="/w83aDescargarDocumentoOutOP" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOutOPAction" 
			 validate="false">
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		<action path ="/w83aPaginaEdicionImpugnacionesActas" forward="paginaEdicionImpugnacionesActas"/>
		<!-- Fin Operaciones Internas -->	
		<!-- SUB-OPERACIONES -->
		<!-- SUB-OPERACIONES -->
		<action path="/w83aSubOpImpugnacionesInit" scope="request" forward="/W83aGenericoImpugnacionesOPAction.do">
			<set-property property="subOp" value="init" />
		</action>
		
		<action path="/w83aSubOpImpugnacionesEnd" scope="request" forward="/w83aSubOpImpugnacionesInit.do">
			<set-property property="subOp" value="end" />
		</action>
		<!-- FIN SUB-OPERACIONES -->
		<action path="/w83aGenericoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aGenericoOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aVolverPreavisos" parameter="/preavisosOP/w83aSubOpPreavisosDeImpugInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/impugnacionesOP/w83aInicioNuevaImpugnacion.do" />
		</action>
		<action path="/w83aVolverActas" parameter="/actasOP/w83aSubOpActasDeImpugInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/impugnacionesOP/w83aInicioNuevaImpugnacion.do" />
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml,
											/WEB-INF/validators-config/mantenimientos/validation-impugnaciones.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

</struts-config>